Skip to main content
GET
/
v2
/
clob
/
account
/
balances
curl "https://api.pmx.trade/v2/clob/account/balances?pubkey=7xKXabc123..."
{
  "smartWalletBalance": "100000000",
  "withdrawable": "72500000",
  "walletBalance": "50000000",
  "collateral": "72500000",
  "totalCommitted": "27500000",
  "markets": [
    {
      "marketId": "550e8400-...",
      "marketSlug": "btc-100k-2025",
      "yesTokens": "50000000",
      "noTokens": "0",
      "committedCollateral": "27500000",
      "committedYesTokens": "0",
      "committedNoTokens": "0"
    }
  ]
}
Returns smart wallet balance, withdrawable amount, wallet balance, and per-market token balances including committed (locked in open orders) amounts.

Query parameters

pubkey
string
required
The Solana wallet public key (base58-encoded).

Response

smartWalletBalance
string
Total USDC deposited in the smart wallet (raw units).
withdrawable
string
USDC available to withdraw from smart wallet (smart wallet balance minus committed amounts, raw units).
walletBalance
string
USDC remaining in the user’s wallet ATA (raw units).
collateral
string
Available USDC collateral for trading (same as withdrawable, raw units).
totalCommitted
string
Total USDC committed across all open buy orders (raw units).
markets
array
curl "https://api.pmx.trade/v2/clob/account/balances?pubkey=7xKXabc123..."
{
  "smartWalletBalance": "100000000",
  "withdrawable": "72500000",
  "walletBalance": "50000000",
  "collateral": "72500000",
  "totalCommitted": "27500000",
  "markets": [
    {
      "marketId": "550e8400-...",
      "marketSlug": "btc-100k-2025",
      "yesTokens": "50000000",
      "noTokens": "0",
      "committedCollateral": "27500000",
      "committedYesTokens": "0",
      "committedNoTokens": "0"
    }
  ]
}
smartWalletBalance is your total USDC in the smart wallet. withdrawable is the amount you can withdraw (smart wallet balance minus committed). walletBalance is the USDC still in your wallet. totalCommitted is the sum of USDC locked in open buy orders across all markets. Cancel open orders to free committed collateral.